Imports System.Text
Imports System.IO

Public Class frmCliente
    Private Sub btnNovo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGravar.Click
        Dim FluxoTexto As StreamWriter
        'Dim linhatexto As String
        Dim strString As New StringBuilder
        If Not String.IsNullOrEmpty(txtCliente.Text) Then
            If Not String.IsNullOrEmpty(txtUsuario.Text) Then
                If Not String.IsNullOrEmpty(txtSenha.Text) Then
                    If Not String.IsNullOrEmpty(txtConfirmaSenha.Text) Then
                        If (txtSenha.Text = txtConfirmaSenha.Text) Then
                            'Verifica se Existe ou não o registro
                            If Not File.Exists(My.Application.Info.DirectoryPath.Replace("\bin\Debug", "") & "\config.txt") Then
                                'Criar o Arquivo de Configuração
                                'Dim oArquivo As System.IO.File
                                Dim oEscrever As System.IO.StreamWriter
                                oEscrever = File.CreateText(My.Application.Info.DirectoryPath.Replace("\bin\Debug", "") & "\config.txt")
                                oEscrever.Close()

                                strString.Append("[Cliente]:" & txtCliente.Text.ToString & vbCrLf)
                                strEmpresaCliente = txtCliente.Text

                                strString.Append("[Endereco]     :" & txtEndereco.Text & vbCrLf)
                                strEnderecoCliente = txtEndereco.Text

                                strString.Append("[Numero]       :" & txtNumero.Text & vbCrLf)
                                strNumeroCliente = txtNumero.Text

                                strString.Append("[Complemento]  :" & txtComplemento.Text & vbCrLf)
                                strComplementoCliente = txtComplemento.Text

                                strString.Append("[Bairro]       :" & txtBairro.Text & vbCrLf)
                                strBairroCliente = txtBairro.Text

                                strString.Append("[Cep]          :" & mskCep.Text & vbCrLf)
                                strCEPCliente = mskCep.Text

                                strString.Append("[Cidade]       :" & txtCidade.Text & vbCrLf)
                                strCidadeCliente = txtCidade.Text

                                strString.Append("[Estado]       :" & txtEstado.Text & vbCrLf)
                                StrEstadoCliente = txtEstado.Text

                                strString.Append("[CNPJ]         :" & mskCNPJ.Text & vbCrLf)
                                strCNPJCliente = mskCNPJ.Text

                                strString.Append("[IE]           :" & txtIE.Text & vbCrLf)
                                strIECliente = txtIE.Text

                                strString.Append("[IM]           :" & txtIM.Text & vbCrLf)
                                strIMCliente = txtIM.Text

                                strString.Append("[Contato]      :" & txtContato.Text & vbCrLf)
                                strNomeUser = txtContato.Text

                                strString.Append("[Email]        :" & txtEmail.Text & vbCrLf)
                                strEmailCliente = txtEmail.Text

                                strString.Append("[Telefone]     :" & mskTelefone.Text & vbCrLf)
                                strTelefoneCliente = mskTelefone.Text

                                strString.Append("[Celular]      :" & mskCelular.Text & vbCrLf)
                                strCelularCliente = mskCelular.Text

                                strString.Append("[Usuario]      :" & txtUsuario.Text & vbCrLf)
                                strUserCliente = txtUsuario.Text

                                strString.Append("[Senha]        :" & txtSenha.Text & vbCrLf)
                                strSenhaCliente = txtSenha.Text
                                strString.Append("[ConfirmaSenha]:" & txtConfirmaSenha.Text & vbCrLf)
                                strConfirmaSenhaCliente = txtConfirmaSenha.Text
                                FluxoTexto = New StreamWriter(My.Application.Info.DirectoryPath.Replace("\bin\Debug", "") & "\config.txt")
                                FluxoTexto.WriteLine(strString)
                                FluxoTexto.Close()
                                'instancia o clsfuncionario
                                Dim clsFuncionario As New clsFuncionario
                                With clsFuncionario
                                    .CODIGO_CARGO = 4
                                    .NOME_FUNC = txtContato.Text
                                    .USER_FUNC = txtUsuario.Text
                                    .PASSWORD_FUNC = txtSenha.Text
                                    .InsertFUNCIONARIO()
                                End With
                            End If
                            'Abre o formulario login 
                            frmLogin.Show()

                            If Me.txtUsuario.Text <> "" Then frmLogin.txtUsuario.Text = Me.txtUsuario.Text

                            'Fechar o formulario
                            Me.Hide()
                        Else
                            MessageBox.Show("Senhas não conferem Digite Novamente")
                            txtSenha.Focus()
                        End If
                    Else
                        MessageBox.Show("Confirme a senha digitada")
                        txtConfirmaSenha.Focus()
                    End If
                Else
                    MessageBox.Show("Digite uma Senha")
                    txtSenha.Focus()
                End If
            Else
                MessageBox.Show("Defina um Usuário")
                txtUsuario.Focus()
            End If
        Else
            MessageBox.Show("Informe o nome do Cliente / Empresa")
            txtCliente.Focus()
        End If



    End Sub
End Class
